> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# Create Promotion Code

POST https://admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes
Content-Type: multipart/form-data

Reference: https://docs.itspropel.com/propel-biz/25-platform-billing-saa-s/admin/create-promotion-code

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes:
    post:
      operationId: create-promotion-code
      summary: Create Promotion Code
      tags:
        - >-
          subpackage_25PlatformBillingSaaS.subpackage_25PlatformBillingSaaS/admin
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/25 Platform Billing (SaaS)_Admin_Create
                  Promotion Code_Response_200
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                code:
                  type: string
                  description: >-
                    Required: Promotion code - max 50 chars unique uppercase
                    alphanumeric+underscore - "SUMMER2026"
                expires_at:
                  type: string
                  description: 'Optional: Expiration date - date after today - "2027-12-31"'
                max_redemptions:
                  type: string
                  description: 'Optional: Maximum number of redemptions - integer min:1 - 50'
                first_subscription_only:
                  type: string
                  description: 'Optional: Only for first subscription - boolean - true'
              required:
                - code
                - expires_at
                - max_redemptions
                - first_subscription_only
servers:
  - url: https:/
components:
  schemas:
    25 Platform Billing (SaaS)_Admin_Create Promotion Code_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: 25 Platform Billing (SaaS)_Admin_Create Promotion Code_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"code\"\r\n\r\nSUMMER2026\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"expires_at\"\r\n\r\n2027-12-31\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"max_redemptions\"\r\n\r\n25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"first_subscription_only\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n"
headers = {"Content-Type": "multipart/form-data; boundary=---011000010111000001101001"}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes';
const form = new FormData();
form.append('code', 'SUMMER2026');
form.append('expires_at', '2027-12-31');
form.append('max_redemptions', '25');
form.append('first_subscription_only', 'true');

const options = {method: 'POST'};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"code\"\r\n\r\nSUMMER2026\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"expires_at\"\r\n\r\n2027-12-31\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"max_redemptions\"\r\n\r\n25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"first_subscription_only\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"code\"\r\n\r\nSUMMER2026\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"expires_at\"\r\n\r\n2027-12-31\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"max_redemptions\"\r\n\r\n25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"first_subscription_only\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"code\"\r\n\r\nSUMMER2026\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"expires_at\"\r\n\r\n2027-12-31\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"max_redemptions\"\r\n\r\n25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"first_subscription_only\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes', [
  'multipart' => [
    [
        'name' => 'code',
        'contents' => 'SUMMER2026'
    ],
    [
        'name' => 'expires_at',
        'contents' => '2027-12-31'
    ],
    [
        'name' => 'max_redemptions',
        'contents' => '25'
    ],
    [
        'name' => 'first_subscription_only',
        'contents' => 'true'
    ]
  ]
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes");
var request = new RestRequest(Method.POST);
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"code\"\r\n\r\nSUMMER2026\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"expires_at\"\r\n\r\n2027-12-31\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"max_redemptions\"\r\n\r\n25\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"first_subscription_only\"\r\n\r\ntrue\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation
let parameters = [
  [
    "name": "code",
    "value": "SUMMER2026"
  ],
  [
    "name": "expires_at",
    "value": "2027-12-31"
  ],
  [
    "name": "max_redemptions",
    "value": "25"
  ],
  [
    "name": "first_subscription_only",
    "value": "true"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://https/admin/platform-billing/coupons/%7Bcoupon_uuid%7D/promotion-codes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```